Chapter 19. Compliance Scan Configuration Service
19.1. Compliance Scan Configuration Service Copy linkLink copied to clipboard!
19.1.1. CreateComplianceScanConfiguration Copy linkLink copied to clipboard!
POST /v2/compliance/scan/configurations
CreateComplianceScanConfiguration creates a compliance scan configuration
19.1.1.1. Description Copy linkLink copied to clipboard!
19.1.1.2. Parameters Copy linkLink copied to clipboard!
19.1.1.2.1. Body Parameter Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| body | X |
19.1.1.3. Return Type Copy linkLink copied to clipboard!
19.1.1.4. Content Type Copy linkLink copied to clipboard!
- application/json
19.1.1.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
19.1.1.6. Samples Copy linkLink copied to clipboard!
19.1.2. DeleteComplianceScanConfiguration Copy linkLink copied to clipboard!
DELETE /v2/compliance/scan/configurations/{id}
DeleteComplianceScanConfiguration removes the compliance scan configuration with given Name
19.1.2.1. Description Copy linkLink copied to clipboard!
19.1.2.2. Parameters Copy linkLink copied to clipboard!
19.1.2.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| id | X | null |
19.1.2.3. Return Type Copy linkLink copied to clipboard!
Object
19.1.2.4. Content Type Copy linkLink copied to clipboard!
- application/json
19.1.2.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. |
|
| 0 | An unexpected error response. |
19.1.2.6. Samples Copy linkLink copied to clipboard!
19.1.3. DeleteReport Copy linkLink copied to clipboard!
DELETE /v2/compliance/scan/configurations/reports/{id}
DeleteReport deletes a given snapshot (scan execution).
19.1.3.1. Description Copy linkLink copied to clipboard!
19.1.3.2. Parameters Copy linkLink copied to clipboard!
19.1.3.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| id | X | null |
19.1.3.3. Return Type Copy linkLink copied to clipboard!
Object
19.1.3.4. Content Type Copy linkLink copied to clipboard!
- application/json
19.1.3.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. |
|
| 0 | An unexpected error response. |
19.1.3.6. Samples Copy linkLink copied to clipboard!
19.1.4. GetComplianceScanConfiguration Copy linkLink copied to clipboard!
GET /v2/compliance/scan/configurations/{id}
GetComplianceScanConfiguration retrieves the specified compliance scan configurations
19.1.4.1. Description Copy linkLink copied to clipboard!
19.1.4.2. Parameters Copy linkLink copied to clipboard!
19.1.4.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| id | X | null |
19.1.4.3. Return Type Copy linkLink copied to clipboard!
19.1.4.4. Content Type Copy linkLink copied to clipboard!
- application/json
19.1.4.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
19.1.4.6. Samples Copy linkLink copied to clipboard!
19.1.5. GetMyReportHistory Copy linkLink copied to clipboard!
GET /v2/compliance/scan/configurations/{id}/reports/my-history
GetMyReportHistory returns a list of snapshots (scan executions) executed by the current user from a given scan configuration.
19.1.5.1. Description Copy linkLink copied to clipboard!
19.1.5.2. Parameters Copy linkLink copied to clipboard!
19.1.5.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| id | X | null |
19.1.5.2.2. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| reportParamQuery.query | - | null | ||
| reportParamQuery.pagination.limit | - | null | ||
| reportParamQuery.pagination.offset | - | null | ||
| reportParamQuery.pagination.sortOption.field | - | null | ||
| reportParamQuery.pagination.sortOption.reversed | - | null | ||
| reportParamQuery.pagination.sortOption.aggregateBy.aggrFunc | - | UNSET | ||
| reportParamQuery.pagination.sortOption.aggregateBy.distinct | - | null |
19.1.5.3. Return Type Copy linkLink copied to clipboard!
19.1.5.4. Content Type Copy linkLink copied to clipboard!
- application/json
19.1.5.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
19.1.5.6. Samples Copy linkLink copied to clipboard!
19.1.6. GetReportHistory Copy linkLink copied to clipboard!
GET /v2/compliance/scan/configurations/{id}/reports/history
GetReportHistory returns a list of snapshots (scan executions) from a given scan configuration.
19.1.6.1. Description Copy linkLink copied to clipboard!
19.1.6.2. Parameters Copy linkLink copied to clipboard!
19.1.6.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| id | X | null |
19.1.6.2.2. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| reportParamQuery.query | - | null | ||
| reportParamQuery.pagination.limit | - | null | ||
| reportParamQuery.pagination.offset | - | null | ||
| reportParamQuery.pagination.sortOption.field | - | null | ||
| reportParamQuery.pagination.sortOption.reversed | - | null | ||
| reportParamQuery.pagination.sortOption.aggregateBy.aggrFunc | - | UNSET | ||
| reportParamQuery.pagination.sortOption.aggregateBy.distinct | - | null |
19.1.6.3. Return Type Copy linkLink copied to clipboard!
19.1.6.4. Content Type Copy linkLink copied to clipboard!
- application/json
19.1.6.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
19.1.6.6. Samples Copy linkLink copied to clipboard!
19.1.7. ListComplianceScanConfigClusterProfiles Copy linkLink copied to clipboard!
GET /v2/compliance/scan/configurations/clusters/{clusterId}/profiles/collection
GetComplianceScanConfiguration retrieves the specified compliance scan configurations
19.1.7.1. Description Copy linkLink copied to clipboard!
19.1.7.2. Parameters Copy linkLink copied to clipboard!
19.1.7.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| clusterId | X | null |
19.1.7.2.2. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| query.query | - | null | ||
| query.pagination.limit | - | null | ||
| query.pagination.offset | - | null | ||
| query.pagination.sortOption.field | - | null | ||
| query.pagination.sortOption.reversed | - | null | ||
| query.pagination.sortOption.aggregateBy.aggrFunc | - | UNSET | ||
| query.pagination.sortOption.aggregateBy.distinct | - | null |
19.1.7.3. Return Type Copy linkLink copied to clipboard!
19.1.7.4. Content Type Copy linkLink copied to clipboard!
- application/json
19.1.7.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
19.1.7.6. Samples Copy linkLink copied to clipboard!
19.1.8. ListComplianceScanConfigProfiles Copy linkLink copied to clipboard!
GET /v2/compliance/scan/configurations/profiles/collection
ListComplianceScanConfigurations lists all the compliance operator scan configurations for the secured clusters
19.1.8.1. Description Copy linkLink copied to clipboard!
19.1.8.2. Parameters Copy linkLink copied to clipboard!
19.1.8.2.1. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| query | - | null | ||
| pagination.limit | - | null | ||
| pagination.offset | - | null | ||
| pagination.sortOption.field | - | null | ||
| pagination.sortOption.reversed | - | null | ||
| pagination.sortOption.aggregateBy.aggrFunc | - | UNSET | ||
| pagination.sortOption.aggregateBy.distinct | - | null |
19.1.8.3. Return Type Copy linkLink copied to clipboard!
19.1.8.4. Content Type Copy linkLink copied to clipboard!
- application/json
19.1.8.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
19.1.8.6. Samples Copy linkLink copied to clipboard!
19.1.9. ListComplianceScanConfigurations Copy linkLink copied to clipboard!
GET /v2/compliance/scan/configurations
ListComplianceScanConfigurations lists all the compliance operator scan configurations for the secured clusters
19.1.9.1. Description Copy linkLink copied to clipboard!
19.1.9.2. Parameters Copy linkLink copied to clipboard!
19.1.9.2.1. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| query | - | null | ||
| pagination.limit | - | null | ||
| pagination.offset | - | null | ||
| pagination.sortOption.field | - | null | ||
| pagination.sortOption.reversed | - | null | ||
| pagination.sortOption.aggregateBy.aggrFunc | - | UNSET | ||
| pagination.sortOption.aggregateBy.distinct | - | null |
19.1.9.3. Return Type Copy linkLink copied to clipboard!
19.1.9.4. Content Type Copy linkLink copied to clipboard!
- application/json
19.1.9.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
19.1.9.6. Samples Copy linkLink copied to clipboard!
19.1.10. RunComplianceScanConfiguration Copy linkLink copied to clipboard!
POST /v2/compliance/scan/configurations/{id}/run
RunComplianceScanConfiguration launches scan for the specified scan configuration, which will invoke scans to run for the applicable profiles across the configured clusters.
19.1.10.1. Description Copy linkLink copied to clipboard!
19.1.10.2. Parameters Copy linkLink copied to clipboard!
19.1.10.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| id | X | null |
19.1.10.3. Return Type Copy linkLink copied to clipboard!
Object
19.1.10.4. Content Type Copy linkLink copied to clipboard!
- application/json
19.1.10.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. |
|
| 0 | An unexpected error response. |
19.1.10.6. Samples Copy linkLink copied to clipboard!
19.1.11. RunReport Copy linkLink copied to clipboard!
POST /v2/compliance/scan/configurations/reports/run
RunReport runs an on demand compliance report for the scan configuration
19.1.11.1. Description Copy linkLink copied to clipboard!
19.1.11.2. Parameters Copy linkLink copied to clipboard!
19.1.11.2.1. Body Parameter Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| body | X |
19.1.11.3. Return Type Copy linkLink copied to clipboard!
19.1.11.4. Content Type Copy linkLink copied to clipboard!
- application/json
19.1.11.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
19.1.11.6. Samples Copy linkLink copied to clipboard!
19.1.12. UpdateComplianceScanConfiguration Copy linkLink copied to clipboard!
PUT /v2/compliance/scan/configurations/{id}
UpdateComplianceScanConfiguration updates a compliance scan configuration
19.1.12.1. Description Copy linkLink copied to clipboard!
19.1.12.2. Parameters Copy linkLink copied to clipboard!
19.1.12.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| id | X | null |
19.1.12.2.2. Body Parameter Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| body | ComplianceScanConfigurationServiceUpdateComplianceScanConfigurationBody | X |
19.1.12.3. Return Type Copy linkLink copied to clipboard!
Object
19.1.12.4. Content Type Copy linkLink copied to clipboard!
- application/json
19.1.12.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. |
|
| 0 | An unexpected error response. |